Bullet Collision Detection & Physics Library: btAABB Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btAABB Class Reference

Axis aligned box. More...

`#include <btBoxCollision.h>`

Collaboration diagram for btAABB:
[legend]

## Public Member Functions
| btAABB ()
| btAABB (const btVector3 &V1, const btVector3 &V2, const btVector3 &V3)
| btAABB (const btVector3 &V1, const btVector3 &V2, const btVector3 &V3, btScalar margin)
| btAABB (const btAABB &other)
| btAABB (const btAABB &other, btScalar margin)
void | invalidate ()
void | increment_margin (btScalar margin)
void | copy_with_margin (const btAABB &other, btScalar margin)
template<typename CLASS_POINT >
void | calc_from_triangle (const CLASS_POINT &V1, const CLASS_POINT &V2, const CLASS_POINT &V3)
template<typename CLASS_POINT >
void | calc_from_triangle_margin (const CLASS_POINT &V1, const CLASS_POINT &V2, const CLASS_POINT &V3, btScalar margin)
void | appy_transform (const btTransform &trans)
| Apply a transform to an AABB. More...
void | appy_transform_trans_cache (const BT_BOX_BOX_TRANSFORM_CACHE &trans)
| Apply a transform to an AABB. More...
void | merge (const btAABB &box)
| Merges a Box. More...
template<typename CLASS_POINT >
void | merge_point (const CLASS_POINT &point)
| Merges a point. More...
void | get_center_extend (btVector3 &center, btVector3 &extend) const
| Gets the extend and center. More...
void | find_intersection (const btAABB &other, btAABB &intersection) const
| Finds the intersecting box between this box and the other. More...
bool | has_collision (const btAABB &other) const
bool | collide_ray (const btVector3 &vorigin, const btVector3 &vdir) const
| Finds the Ray intersection parameter. More...
void | projection_interval (const btVector3 &direction, btScalar &vmin, btScalar &vmax) const
eBT_PLANE_INTERSECTION_TYPE | plane_classify (const btVector4 &plane) const
bool | overlapping_trans_conservative (const btAABB &box, btTransform &trans1_to_0) const
bool | overlapping_trans_conservative2 (const btAABB &box, const BT_BOX_BOX_TRANSFORM_CACHE &trans1_to_0) const
bool | overlapping_trans_cache (const btAABB &box, const BT_BOX_BOX_TRANSFORM_CACHE &transcache, bool fulltest) const
| transcache is the transformation cache from box to this AABB More...
bool | collide_plane (const btVector4 &plane) const
| Simple test for planes. More...
bool | collide_triangle_exact (const btVector3 &p1, const btVector3 &p2, const btVector3 &p3, const btVector4 &triangle_plane) const
| test for a triangle, with edges More...

## Public Attributes
btVector3 | m_min
btVector3 | m_max

## Detailed Description

Axis aligned box.

Definition at line 229 of file btBoxCollision.h.

## Constructor & Destructor Documentation

btAABB::btAABB | ( |  | ) |
| inline

Definition at line 235 of file btBoxCollision.h.

btAABB::btAABB | ( | const btVector3 & | V1,
|  | const btVector3 & | V2,
|  | const btVector3 & | V3
| ) |  |
| inline

Definition at line 239 of file btBoxCollision.h.

btAABB::btAABB | ( | const btVector3 & | V1,
|  | const btVector3 & | V2,
|  | const btVector3 & | V3,
|  | btScalar | margin
| ) |  |
| inline

Definition at line 252 of file btBoxCollision.h.

btAABB::btAABB | ( | const btAABB & | other | ) |
| inline

Definition at line 273 of file btBoxCollision.h.

btAABB::btAABB | ( | const btAABB & | other,
|  | btScalar | margin
| ) |  |
| inline

Definition at line 278 of file btBoxCollision.h.

## Member Function Documentation

void btAABB::appy_transform | ( | const btTransform & | trans | ) |
| inline

Apply a transform to an AABB.

Definition at line 358 of file btBoxCollision.h.

void btAABB::appy_transform_trans_cache | ( | const BT_BOX_BOX_TRANSFORM_CACHE & | trans | ) |
| inline

Apply a transform to an AABB.

Definition at line 375 of file btBoxCollision.h.

template<typename CLASS_POINT >

void btAABB::calc_from_triangle | ( | const CLASS_POINT & | V1,
|  | const CLASS_POINT & | V2,
|  | const CLASS_POINT & | V3
| ) |  |
| inline

Definition at line 321 of file btBoxCollision.h.

template<typename CLASS_POINT >

void btAABB::calc_from_triangle_margin | ( | const CLASS_POINT & | V1,
|  | const CLASS_POINT & | V2,
|  | const CLASS_POINT & | V3,
|  | btScalar | margin
| ) |  |
| inline

Definition at line 336 of file btBoxCollision.h.

bool btAABB::collide_plane | ( | const btVector4 & | plane | ) | const
| inline

Simple test for planes.

Definition at line 575 of file btBoxCollision.h.

bool btAABB::collide_ray | ( | const btVector3 & | vorigin,
|  | const btVector3 & | vdir
| ) |  | const
| inline

Finds the Ray intersection parameter.

Parameters

  aabb | Aligned box
  vorigin | A vec3f with the origin of the ray
  vdir | A vec3f with the direction of the ray

Definition at line 454 of file btBoxCollision.h.

bool btAABB::collide_triangle_exact | ( | const btVector3 & | p1,
|  | const btVector3 & | p2,
|  | const btVector3 & | p3,
|  | const btVector4 & | triangle_plane
| ) |  | const
| inline

test for a triangle, with edges

Definition at line 583 of file btBoxCollision.h.

void btAABB::copy_with_margin | ( | const btAABB & | other,
|  | btScalar | margin
| ) |  |
| inline

Definition at line 309 of file btBoxCollision.h.

void btAABB::find_intersection | ( | const btAABB & | other,
|  | btAABB & | intersection
| ) |  | const
| inline

Finds the intersecting box between this box and the other.

Definition at line 423 of file btBoxCollision.h.

void btAABB::get_center_extend | ( | btVector3 & | center,
|  | btVector3 & | extend
| ) |  | const
| inline

Gets the extend and center.

Definition at line 416 of file btBoxCollision.h.

bool btAABB::has_collision | ( | const btAABB & | other | ) | const
| inline

Definition at line 435 of file btBoxCollision.h.

void btAABB::increment_margin | ( | btScalar | margin | ) |
| inline

Definition at line 299 of file btBoxCollision.h.

void btAABB::invalidate | ( |  | ) |
| inline

Definition at line 289 of file btBoxCollision.h.

void btAABB::merge | ( | const btAABB & | box | ) |
| inline

Merges a Box.

Definition at line 391 of file btBoxCollision.h.

template<typename CLASS_POINT >

void btAABB::merge_point | ( | const CLASS_POINT & | point | ) |
| inline

Merges a point.

Definition at line 404 of file btBoxCollision.h.

bool btAABB::overlapping_trans_cache | ( | const btAABB & | box,
|  | const BT_BOX_BOX_TRANSFORM_CACHE & | transcache,
|  | bool | fulltest
| ) |  | const
| inline

transcache is the transformation cache from box to this AABB

Definition at line 521 of file btBoxCollision.h.

bool btAABB::overlapping_trans_conservative | ( | const btAABB & | box,
|  | btTransform & | trans1_to_0
| ) |  | const
| inline

Definition at line 505 of file btBoxCollision.h.

bool btAABB::overlapping_trans_conservative2 | ( | const btAABB & | box,
|  | const BT_BOX_BOX_TRANSFORM_CACHE & | trans1_to_0
| ) |  | const
| inline

Definition at line 512 of file btBoxCollision.h.

eBT_PLANE_INTERSECTION_TYPE btAABB::plane_classify | ( | const btVector4 & | plane | ) | const
| inline

Definition at line 488 of file btBoxCollision.h.

void btAABB::projection_interval | ( | const btVector3 & | direction,
|  | btScalar & | vmin,
|  | btScalar & | vmax
| ) |  | const
| inline

Definition at line 477 of file btBoxCollision.h.

## Member Data Documentation

btVector3 btAABB::m_max

Definition at line 233 of file btBoxCollision.h.

btVector3 btAABB::m_min

Definition at line 232 of file btBoxCollision.h.

The documentation for this class was generated from the following file:

- btBoxCollision.h